## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%?mingw_package_header

Summary: MinGW Windows port of Gamerzilla Integration Library
Name: mingw-libgamerzilla
Version: 0.1.3
Release: %autorelease
License: zlib
URL: https://github.com/dulsi/libgamerzilla
Source0: http://www.identicalsoftware.com/gamerzilla/libgamerzilla-%{version}.tgz
Patch0: libgamerzilla-win.patch
BuildArch:      noarch
BuildRequires: cmake
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-jansson
BuildRequires: mingw32-curl

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-jansson
BuildRequires: mingw64-curl

%description
Gamerzilla is trophy/achievement system for games. It integrates with a
hubzilla plugin to display your results online. Games can either connect
directly to hubzilla or connect to a game launcher with using this
library.

# Win32
%package -n mingw32-libgamerzilla
Summary:        MinGW Windows port of Gamerzilla Integration Library

%description -n mingw32-libgamerzilla
Gamerzilla is trophy/achievement system for games. It integrates with a
hubzilla plugin to display your results online. Games can either connect
directly to hubzilla or connect to a game launcher with using this
library.

# Win64
%package -n mingw64-libgamerzilla
Summary:        MinGW Windows port of Gamerzilla Integration Library

%description -n mingw64-libgamerzilla
Gamerzilla is trophy/achievement system for games. It integrates with a
hubzilla plugin to display your results online. Games can either connect
directly to hubzilla or connect to a game launcher with using this
library.

%?mingw_debug_package

%prep
%setup -q -n libgamerzilla-%{version}
%patch -P0 -p1

%build
%mingw_cmake
%mingw_make %{?smp_mflags}

%install
%mingw_make DESTDIR=%{buildroot} install
mkdir %{buildroot}/%{mingw32_bindir}
mkdir %{buildroot}/%{mingw64_bindir}
mv %{buildroot}/%{mingw32_libdir}/libgamerzilla.dll %{buildroot}/%{mingw32_bindir}/libgamerzilla.dll
mv %{buildroot}/%{mingw64_libdir}/libgamerzilla.dll %{buildroot}/%{mingw64_bindir}/libgamerzilla.dll

# Win32
%files -n mingw32-libgamerzilla
%doc README
%license LICENSE
%{mingw32_bindir}/libgamerzilla.dll
%{mingw32_libdir}/libgamerzilla.dll.a
%{mingw32_libdir}/pkgconfig/gamerzilla.pc
%{mingw32_includedir}/gamerzilla/

# Win64
%files -n mingw64-libgamerzilla
%doc README
%license LICENSE
%{mingw64_bindir}/libgamerzilla.dll
%{mingw64_libdir}/libgamerzilla.dll.a
%{mingw64_libdir}/pkgconfig/gamerzilla.pc
%{mingw64_includedir}/gamerzilla/

%changelog
## START: Generated by rpmautospec
* Fri Apr 25 2025 Dennis Payne <dulsi@identicalsoftware.com> - 0.1.3-6
- Fix compile error.

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 14 2023 Dennis Payne <dulsi@identicalsoftware.com> - 0.1.3-1
- Update to the latest release.

* Thu Sep 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 0.1.2-1
- Update to new release.

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Mar 25 2022 Sandro Mani <manisandro@gmail.com> - 0.1.1-4
- Rebuild with mingw-gcc-12

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jul 31 2021 Dennis Payne <dulsi@identicalsoftware.com> - 0.1.1-1
- Update to newest version

* Sun Jul 04 2021 Dennis Payne <dulsi@identicalsoftware.com> - 0.1.0-1
- Update to newest version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 2021 Tom Stellard <tstellar@redhat.com> - 0.0.9-2
- Add BuildRequires: make

* Tue Dec 29 2020 Dennis Payne <dulsi@identicalsoftware.com> - 0.0.9-1
- Update to newest version

* Tue Dec 01 2020 Dennis Payne <dulsi@identicalsoftware.com> - 0.0.8-1
- Update to newest version

* Sat Nov 07 2020 Dennis Payne <dulsi@identicalsoftware.com> - 0.0.7-1
- Update to newest version

* Sun Sep 13 2020 Dennis Payne <dulsi@identicalsoftware.com> - 0.0.6-1
- Update to newest version

* Fri Aug 28 2020 Dennis Payne <dulsi@identicalsoftware.com> - 0.0.5-1
- Add new package
## END: Generated by rpmautospec
